Skip to main content
GET
/
v5
/
files
/
attachments
Get attachments
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/files/attachments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "FILE",
      "id": 123,
      "caption": "<string>",
      "publicFileUrl": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "amount": 123,
      "entity": "<string>",
      "fileName": "<string>",
      "entityId": 123,
      "fileSize": "24 KB",
      "iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

entity
enum<string>

Entity filter - returns all attachments for specified entity type. Null will default to all entity types.

Available options:
BankTransfer,
Business,
Closing,
Company,
Expense,
Invoice,
InvoicePayment,
Revenue,
TaxPayment,
BankAccount
entityId
integer<int64>

Entity Id filter - Id of the entity to which the attachment belongs. Used together with entity to scope attachments to a specific item.

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate